import de.pakad.tools.StdIn;
import de.pakad.tools.StdOut;

/**
 * switch-case-Demo: Jahreszeiten identifizieren.
 *
 * <p>Es wird eine Monatszahl interaktiv eingelesen und die
 * zugehrige Jahrezeit bestimmt. Dabei gelte:</p>
 * <ul>
 * <li>3 - 5 : <strong>Frhling</strong></li>
 * <li>6 - 8 : <strong>Sommer</strong></li>
 * <li>9 - 11: <strong>Herbst</strong></li>
 * <li>12, 1, 2: <strong>Winter</strong></li>
 * <li>sonst: <strong>unbekannte Jahreszeit</strong></li>
 * </ul>
 *
 * @author Karsten Brodmann
 * @see IfElse
 */
public class SwitchCase {
    /**
     * @param args nicht verwendet
     */
    public static void main(String[] args) {
        int month = StdIn.readInt("Bitte eine Monatszahl: ");

        // klassische switch-case-Anweisung
        switch (month) {
            case 3: case 4: case 5:
                StdOut.println("Frhling");
                break;
            case 6: case 7: case 8:
                StdOut.println("Sommer");
                break;
            case 9: case 10: case 11:
                StdOut.println("Herbst");
                break;
            case 12: case 1: case 2:
                StdOut.println("Winter");
                break;
            default:
                StdOut.println("unbekannte Jahreszeit");
        }

        // moderne switch-case-Anweisung (ab Java 12)
        switch (month) {
            case 3, 4, 5 -> StdOut.println("Frhling");
            case 6, 7, 8 -> StdOut.println("Sommer");
            case 9, 10, 11 -> StdOut.println("Herbst");
            case 12, 1, 2 -> StdOut.println("Winter");
            default -> StdOut.println("unbekannte Jahreszeit");
        }
    }
}
